Subject: inetd and ftpd interaction

From: Laszlo Vecsey <[email-masked]>
Date: Tue, 9 Sep 1997 23:15:51 -0400 (EDT)

If I set my anonymous ftp limit too low in /etc/ftpaccess, inetd stalls
out after a while.. complaining that in.ftpd is looping (i.e., too many
anonymous users are trying to connect, and inetd decides to shut down the
port all together). I can increase the anonymous ftp limit and things run
fine, although bandwidth gets saturated.

Is there a way to limit the bandwidth on individual anonymous ftp
connections, or allocate a total bandwidth to the anonymous ftp account? 
This would be a nice feature. In the interim, how can I hack inetd or
modify ftpd so the ftp port doesn't get shut down when under too much
stress?

- lv